<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Settings for flat rate shipping.
 */
$instance_settings = array(
	'title' => array(
		'title' 		=> __( 'Názov', 'depo-sk' ),
		'type' 			=> 'text',
		'description' 	=> __( 'Ak chcete aby sa prepravná metóda volala inak, zadajte názov sem.', 'depo-sk' ),
		'default'		=> '',
		'desc_tip'		=> true
	),
	'tax_status' => array(
		'title' 		=> __( 'Tax Status', 'depo-sk' ),
		'type' 			=> 'select',
		'class'         => 'wc-enhanced-select',
		'default' 		=> 'taxable',
		'options'		=> array(
			'taxable' 	=> __( 'Taxable', 'depo-sk' ),
			'none' 		=> _x( 'None', 'Tax status', 'depo-sk' )
		)
	),
	'cost' => array(
		'title' 		=> __( 'Cena', 'depo-sk' ),
		'type' 			=> 'text',
		'placeholder'	=> '',
		'default'		=> '0',
		'desc_tip'		=> false
	)
);

$shipping_classes = WC()->shipping->get_shipping_classes();

if ( ! empty( $shipping_classes ) ) {
	$instance_settings[ 'class_costs' ] = array(
		'title'			 => __( 'Ceny prepravných tried', 'depo-sk' ),
		'type'			 => 'title',
		'default'        => '',
		'description'    => sprintf( __( 'Vyplnte ak Vám treba špecifické ceny pre konkrétne %sprepravné triedy%s.', 'depo-sk' ), '<a href="' . admin_url( 'admin.php?page=wc-settings&tab=shipping&section=classes' ) . '">', '</a>' )
	);
	foreach ( $shipping_classes as $shipping_class ) {
		if ( ! isset( $shipping_class->term_id ) ) {
			continue;
		}
		$instance_settings[ 'class_cost_' . $shipping_class->term_id ] = array(
			'title'       => sprintf( __( 'Cena pre "%s"', 'depo-sk' ), esc_html( $shipping_class->name ) ),
			'type'        => 'text',
			'placeholder' => '',
			'default'     => '',
		);
	}
	$instance_settings[ 'calctype' ] = array(
		'title' 		=> __( 'Typ výpočtu výslednej ceny', 'depo-sk' ),
		'type' 			=> 'select',
		'class'         => 'wc-enhanced-select',
		'default' 		=> 'order',
		'options' 		=> array(
			'order' 	=> __( 'Na objednávku: Účtovať poštovné za najdrahšiu triedu prepravy', 'depo-sk' ),
			'class' 	=> __( 'Na triedy: Spočítať triedy prepravy pre každý produkt', 'depo-sk' ),
		),
	);
}

return $instance_settings;
